NewObject< T > Struct Template Reference

An object factory function. More...

## Public Member Functions

T * | operator() () const

## Detailed Description

### template<class T>
struct NewObject< T >

An object factory function.

Template Parameters

  T | class or type

NewObject overloads operator()().

Definition at line 256 of file misc.h.

The documentation for this struct was generated from the following file:

- misc.h